// **********************************************************************
//
// Copyright (c) 2008 Moba bv, All rights reserved.
//
// This is a test program for the ICE framework.
//
// **********************************************************************

#ifndef OMNIAUI_TEST_ICE
#define OMNIAUI_TEST_ICE

module OmniaUITest
{

  // Struct egg information is based on struct SHIFT in globavar.h of the MainPC software
  struct EggInformation
  {
    short	Normal;
    short	OffGrade;
    short	Extra;
    byte	Blood;
    byte	Dirt;
    byte	ColumnCode;   
    byte	RowCode;
  };

  sequence<EggInformation> ShiftRegisterRow;
  sequence<ShiftRegisterRow> ShiftRegister;

  interface OmniaUITestInterface
  {
    idempotent ShiftRegister GetShiftRegister();
  };

};

#endif

