// **********************************************************************
//
// Copyright (c) 2008 Moba bv, All rights reserved.
//
// This is a test program for the ICE framework.
//
// **********************************************************************

#include <iostream>
#include <Ice/Ice.h>
#include <OmniaUITestInterfaceI.h>

using namespace std;


::OmniaUITest::ShiftRegister OmniaUITestInterfaceI::GetShiftRegister( const ::Ice::Current&)
{

  ::OmniaUITest::ShiftRegister lShiftRegister;
  ::OmniaUITest::ShiftRegisterRow lShiftRegisterRow;
  ::OmniaUITest::EggInformation	lEggInformation[ NR_OF_COLUMNS ];

  lShiftRegister.clear();

  // Fill the list with rows with random information
  for( int j = 0; j < NR_OF_ROWS; j++ )
  {

    // Create a row with random information.
    for( int i = 0; i < NR_OF_COLUMNS; i++ )
    { 
      lEggInformation[ i ].Normal  = (rand()%8);
      lEggInformation[ i ].OffGrade  = (rand()%4);
      lEggInformation[ i ].Extra  = (rand()%1);
      lEggInformation[ i ].Blood  = (rand()%32 + 1);
      lEggInformation[ i ].Dirt  = (rand()%32 + 1);
      lEggInformation[ i ].ColumnCode  = i;
      lEggInformation[ i ].RowCode  = j;
    }
    ::OmniaUITest::ShiftRegisterRow lShiftRegisterRow( lEggInformation, \
	lEggInformation + (sizeof( lEggInformation )/ sizeof( ::OmniaUITest::EggInformation )));
    
    // Store the row into the ShiftRegister
    lShiftRegister.push_back( lShiftRegisterRow );
  }

  return lShiftRegister;
}



